package org.jboss.tools.sapphire;

import org.eclipse.sapphire.modeling.IModelElement;
import org.eclipse.sapphire.modeling.ModelElementType;
import org.eclipse.sapphire.modeling.Value;
import org.eclipse.sapphire.modeling.ValueProperty;
import org.eclipse.sapphire.modeling.annotations.DefaultValue;
import org.eclipse.sapphire.modeling.annotations.GenerateImpl;
import org.eclipse.sapphire.modeling.annotations.Label;
import org.eclipse.sapphire.modeling.annotations.NonNullValue;
import org.eclipse.sapphire.modeling.xml.annotations.XmlBinding;

@GenerateImpl

public interface ISOAPBinding  extends IModelElement{

    ModelElementType TYPE = new ModelElementType( ISOAPBinding.class );

    // *** serverPort ***
    
    @XmlBinding( path = "serverPort" )
    @Label( standard = "&Server Port" )
    @DefaultValue(text = "1999")
    @NonNullValue

    ValueProperty PROP_SERVER_PORT = new ValueProperty( TYPE, "ServerPort" );

    Value<String> getServerPort();
    void setServerPort( String value );

    // *** WSDL ***
    
    @XmlBinding( path = "wsdl" )
    @Label( standard = "&WSDL" )
    @DefaultValue(text = "service.wsdl")
    @NonNullValue

    ValueProperty PROP_WSDL = new ValueProperty( TYPE, "WSDL" );

    Value<String> getWsdl();
    void setWsdl( String value );

}
